package sys.sc.opplugin.utils;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.BusinessDataServiceHelper;

/**
 * @author cjz
 * @date 2024/9/24 16:56
 * @description:根据编码获取接口配置信息
 */
public class InterFaceImgUtils {
    //接口配置信息标识
    private String nckd_jkpzxx="nckd_jkpzxx";
    //接口编码
    private String URL;
    DynamicObject jkpzxx;
    public InterFaceImgUtils(String URL) {
        this.URL=URL;
        //接口配置信息获取
        jkpzxx = BusinessDataServiceHelper
                .loadSingle(nckd_jkpzxx,new QFilter[]{new QFilter("number","=",URL)});
    }
    //端口号
    public int getPort() {
        return jkpzxx.getInt("nckd_port");
    }
    //服务器地址
    public String getServerName() {
        return jkpzxx.getString("nckd_servername");
    }
    //数仓文件路径
    public String getServerUrl() {
        return jkpzxx.getString("nckd_url");
    }
    //获取连接用户
    public String getServerUser() {
        return jkpzxx.getString("nckd_user");
    }
    //获取连接密码
    public String getServerPassword() {
        return jkpzxx.getString("nckd_password");
    }
    //获取分隔符
    public String getServerSplit() {
        return jkpzxx.getString("nckd_split");
    }
    //获取结尾符
    public String getServerEndsign() {
        return jkpzxx.getString("nckd_endsign");
    }
    //获取文件名
    public String getFileName() {return jkpzxx.getString("nckd_filename");}
    //获取文件保存路径
    public String getFileLocalPath(){
        return jkpzxx.getString("nckd_downloadfile");
    }


}
